## com.google.gwt.benchmarks.client
Annotation Type Setup

    @Target(value=METHOD)
    @Documented
    public @interface Setup

Specifies a setup method that will be executed before the annotated `Benchmark` test method. Setup methods are automatically executed by the benchmarking framework before their matching test methods. Setup measurements are excluded from final benchmark reports.

For example, you might annotate a `Benchmark` method named `testInserts` with `@Setup("setupTestInserts")` to ensure `setupTestInserts`is always executed before `testInserts`.

Required Element Summary
`java.lang.String` | `value` The name of the method to execute before the annotated test method.

Element Detail

### value

    public abstract java.lang.String value

  The name of the method to execute before the annotated test method.

  Returns:
    for example, "setupTestInserts"